AuditManagerEJBImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.common.server.session.AuditManagerEJBImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.common.server.session
Class AuditManagerEJBImpl

    java.lang.Object
      org.hyperic.hq.common.server.session.AuditManagerEJBImpl

All Implemented Interfaces:
  java.io.Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

    public class AuditManagerEJBImpl

extends java.lang.Object
implements javax.ejb.SessionBean

See Also:
  Serialized Form

Constructor Summary
`AuditManagerEJBImpl()`

Method Summary
`void` | `deleteAudit(Audit a)` Delete an audit and all its children.
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`java.util.List` | `find(AuthzSubject me, PageInfo pInfo, long startTime, long endTime, AuditImportance minImportance, AuditPurpose purpose, AuthzSubject target, java.lang.String klazz)`
`Audit` | `getCurrentAudit()` If there is currently an audit in progress (a container), fetch it.
`static org.hyperic.hq.common.shared.AuditManagerLocal` | `getOne()`
`void` | `handleResourceDelete(Resource r)`
`void` | `handleSubjectDelete(AuthzSubject s)`
`void` | `popAll()`
`void` | `popContainer(boolean allowEmpty)` Pop the audit container off the stack.
`void` | `pushContainer(Audit newContainer)` Push a global audit container onto the stack.
`void` | `saveAudit(Audit a)` Save an audit and all of it's children.
`void` | `setSessionContext(javax.ejb.SessionContext c)`
`void` | `startup()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuditManagerEJBImpl

    public AuditManagerEJBImpl()

Method Detail

### saveAudit

    public void saveAudit(Audit a)

  Save an audit and all of it's children.

### getCurrentAudit

    public Audit getCurrentAudit()

  If there is currently an audit in progress (a container), fetch it.

### deleteAudit

    public void deleteAudit(Audit a)

  Delete an audit and all its children.

### popAll

    public void popAll()

### popContainer

    public void popContainer(boolean allowEmpty)

  Pop the audit container off the stack.

  Parameters:
    `allowEmpty` - If true, allow the container to pop and be saved with no children. If the container is empty, and this is true, simply delete it

### pushContainer

    public void pushContainer(Audit newContainer)

  Push a global audit container onto the stack. Any subsequent audits created (via saveAudit) will be added to this container.

### find

    public java.util.List find(AuthzSubject me,
                               PageInfo pInfo,
                               long startTime,
                               long endTime,
                               AuditImportance minImportance,
                               AuditPurpose purpose,
                               AuthzSubject target,
                               java.lang.String klazz)

### handleResourceDelete

    public void handleResourceDelete(Resource r)

### handleSubjectDelete

    public void handleSubjectDelete(AuthzSubject s)

### startup

    public void startup()

### getOne

    public static org.hyperic.hq.common.shared.AuditManagerLocal getOne()

### ejbCreate

    public void ejbCreate()

### ejbRemove

    public void ejbRemove()

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`

### ejbActivate

    public void ejbActivate()

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`

### ejbPassivate

    public void ejbPassivate()

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext c)

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.